% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prov.Calibration.R
\name{Prov.Calibration}
\alias{Prov.Calibration}
\title{Generate provenance for a SUNSET's Calibration module execution}
\usage{
Prov.Calibration(recipe, data, graph, type)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's function Calibration.R.}

\item{graph}{Provenance graph (igraph object)}

\item{type}{Type of data: "fcst" for forecast, "hcst" for hindcast, or "obs" for observational data.}
}
\value{
List containing the updated graph and the name of the parent nodes.
}
\description{
Generate provenance information for the execution of a SUNSET's Calibration module.
}
\details{
This function generates provenance information for the execution of a SUNSET's Calibration module.
}
\references{
https://cran.r-project.org/web/packages/CSTools/CSTools.pdf CSTools documentation for CST_Calibration() or CST_QuantileMapping()

https://earth.bsc.es/gitlab/es/sunset/-/tree/dev-test-provenance?ref_type=heads Documentation for SUNSET's provenance generation.
}
