% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prov.Dataset.R
\name{Prov.Dataset}
\alias{Prov.Dataset}
\title{Directed metadata graph construction for SUNSET's loaded Dataset.}
\usage{
Prov.Dataset(recipe, data, type)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's Loading.R function.}

\item{type}{Type of data: "fcst" for forecast, "hcst" for hindcast, or "obs" for observational data.}
}
\description{
Generate provenance for the loaded Dataset within a SUNSET workflow.
}
\details{
This function constructs provenance information for the loaded Dataset within a SUNSET workflow. 
It creates nodes and edges representing various aspects of the Dataset, including its subclass, data provider, modeling center, and project information.
}
\references{
This function is based on the semantics outlined in the Datasource ontology within the Metaclip Framework (available at \url{http://www.metaclip.org/}).

https://earth.bsc.es/gitlab/es/sunset/-/tree/dev-test-provenance?ref_type=heads Documentation for SUNSET's provenance generation.
}
