% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prov.Visualization.R
\name{Prov.Visualization}
\alias{Prov.Visualization}
\title{Generate provenance for Visualization computation}
\usage{
Prov.Visualization(recipe, data, graph, type)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's Loading.R function.}

\item{graph}{Graph object containing provenance information.}

\item{type}{Type of data: "fcst" for forecast, "hcst" for hindcast, or "obs" for observational data.}
}
\value{
List containing updated graph and parent node name.
}
\description{
Generate provenance information for Visualization module in SUNSET based on forecast verification.
}
\details{
This function generates provenance information for the computation of graphs in SUNSET.
}
\references{
https://earth.bsc.es/gitlab/es/sunset/-/tree/dev-test-provenance?ref_type=heads Documentation for SUNSET's provenance generation.

This function is based on the semantics outlined in the Graphical Output ontology within the Metaclip Framework (available at \url{http://www.metaclip.org/}).
}
