% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SunsetProv.Calibration.R
\name{SunsetProv.Calibration}
\alias{SunsetProv.Calibration}
\title{Directed metadata graph construction for SUNSET's Calibration module}
\usage{
SunsetProv.Calibration(recipe, data)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's function Calibration.R.}
}
\value{
s2dv_cube object with updated provenance graph.
}
\description{
Generate provenance for a SUNSET's Calibration module execution.
}
\details{
This function generates provenance information for the execution of a SUNSET's Calibration module.
}
\references{
https://earth.bsc.es/gitlab/es/sunset/-/wikis/home GitLab repository for SUNSET, a modular tool for climate forecast verification workflows.

This function is based on the semantics outlined in the Calibration ontology within the Metaclip Framework (available at \url{http://www.metaclip.org/}).
}
