% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SunsetProv.Command.R
\name{SunsetProv.Command}
\alias{SunsetProv.Command}
\title{Generate provenance for SUNSET command calls}
\usage{
SunsetProv.Command(graph, package, version, fun, arg.list, origin.node.name)
}
\arguments{
\item{graph}{Current provenance graph.}

\item{package}{Package name}

\item{version}{Version name}

\item{arg.list}{Argument list}

\item{origin.node.name}{List containing the name of the origin nodes to be linked to the command call}

\item{function}{Function name}
}
\value{
List containing updated graph.
}
\description{
Generate provenance information for command calls based on metaclipR function metalcipR.graph.Command()
}
\references{
https://earth.bsc.es/gitlab/es/sunset/-/wikis/home GitLab repository for SUNSET, a modular tool for climate forecast verification workflows.

This function is based on the semantics outlined in the ontology within the Metaclip Framework (available at \url{http://www.metaclip.org/}).
}
