% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getSpatialExtent.R
\name{getSpatialExtent}
\alias{getSpatialExtent}
\title{Generate provenance for Spatial Extent definition}
\usage{
getSpatialExtent(data, type, Reg = FALSE, Cal = FALSE, Downsc = FALSE)
}
\arguments{
\item{data}{The dataset containing spatial coordinates.}

\item{type}{The type of dataset (fcst, hcst, obs)}

\item{Reg}{Logical indicating if the operation is for regriddinging.}

\item{Cal}{Logical indicating if the operation is for calibration.}

\item{Downsc}{Logical indicating if the operation is for downscaling.}
}
\value{
A list containing the graph and the parent node name.
}
\description{
Generate provenance information of the spatial coordinates of a climate data object in s2dv_cube format. Returns a graph containing a single SpatialExtent node.
}
\examples{
# Example usage:
getSpatialExtent(data, type, Reg = TRUE)
getSpatialExtent(data, type, Cal = TRUE)
getSpatialExtent(data, type, Downsc = TRUE)
getSpatialExtent(data, type)
}
